Issue1375

Title GPGme ignores RSA_OR_IDEA
Priority bug Status resolved
Category gpgme Due Date
Version 1.3.1 ExtLink  (go)
Superseder Nosy List marcus, wiml
Assigned To marcus Topics wontfix  (help)

Created on 2011-10-14.03:40:19 by [P] wiml, last changed 2013-05-01.11:25:32 by werner.

Messages
msg4590 (view) Author: werner Date: 2013-05-01.11:25:32
Given that recent versions of GnupG support IDEA and won't emit such a status
line anymore, I do not think it is justified to fix this for old gpg versions.
msg4186 (view) Author: werner Date: 2011-11-06.16:38:05
IDEA warnings pop up ofthe enough, so that a special treatmeant is justified.
msg4180 (view) Author: wiml Date: 2011-10-14.03:40:19
GPGme doesn't do anything with gnupg's RSA_OR_IDEA message, which means that if
the secret key is IDEA-encrypted and the chosen gnupg doesn't support IDEA, then
an operation will fail with a somewhat confusing result: the operation's status
will be "Decryption failed" but the individual key's status (from
gpgme_op_decrypt_result()) will be "success".

In this situation, IMO, the key's status should not be success, but should be an
error code (perhaps GPG_ERR_UNSUPPORTED_ALGORITHM).
History
Date User Action Args
2013-05-01 11:25:32wernersetstatus: chatting -> resolved
topic: + wontfix
messages: + msg4590
2011-11-06 16:38:05wernersetstatus: unread -> chatting
assignedto: marcus
messages: + msg4186
nosy: + marcus
2011-10-14 03:40:19wimlcreate